## org.mortbay.jetty.plus.jaas.spi
Class DataSourceLoginModule

    java.lang.Object
      org.mortbay.jetty.plus.jaas.spi.AbstractLoginModule
          org.mortbay.jetty.plus.jaas.spi.AbstractDatabaseLoginModule
              org.mortbay.jetty.plus.jaas.spi.DataSourceLoginModule

All Implemented Interfaces:
  javax.security.auth.spi.LoginModule

    public class DataSourceLoginModule

extends AbstractDatabaseLoginModule

DataSourceLoginModule A LoginModule that uses a DataSource to retrieve user authentication and authorisation information.

See Also:
  `JDBCLoginModule`

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.plus.jaas.spi.AbstractLoginModule
`AbstractLoginModule.JAASUserInfo`

Constructor Summary
`DataSourceLoginModule()`

Method Summary
`java.sql.Connection` `getConnection()` Get a connection from the DataSource
`void` `initialize(javax.security.auth.Subject subject, javax.security.auth.callback.CallbackHandler callbackHandler, java.util.Map sharedState, java.util.Map options)` Init LoginModule.

Methods inherited from class org.mortbay.jetty.plus.jaas.spi.AbstractDatabaseLoginModule
`getUserInfo`

Methods inherited from class org.mortbay.jetty.plus.jaas.spi.AbstractLoginModule
`abort, commit, configureCallbacks, getCallbackHandler, getCurrentUser, getSubject, isAuthenticated, isCommitted, login, logout, setAuthenticated, setCallbackHandler, setCommitted, setCurrentUser, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceLoginModule

    public DataSourceLoginModule()

Method Detail

### initialize

    public void initialize(javax.security.auth.Subject subject,
                           javax.security.auth.callback.CallbackHandler callbackHandler,
                           java.util.Map sharedState,
                           java.util.Map options)

  Init LoginModule. Called once by JAAS after new instance created.

  Specified by:
    `initialize` in interface `javax.security.auth.spi.LoginModule`
  Overrides:
    `initialize` in class `AbstractDatabaseLoginModule`
  Parameters:
    `subject` -
    `callbackHandler` -
    `sharedState` -
    `options` -
  See Also:
    `LoginModule.initialize(javax.security.auth.Subject, javax.security.auth.callback.CallbackHandler, java.util.Map, java.util.Map)`

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.lang.Exception

  Get a connection from the DataSource

  Specified by:
    `getConnection` in class `AbstractDatabaseLoginModule`
  Returns:
  Throws:
    `java.lang.Exception`
  See Also:
    `AbstractDatabaseLoginModule.getConnection()`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.